# Filename: gui_options_layer.py
# Purpose: Validation check for option selected.
# Returns: Void.

from maptek import vulcan_gui

sel = vulcan_gui.selection('Select object')
layer_load_mode = 'LOAD_IF_EXISTS'

assert layer_load_mode in vulcan_gui.gui_options.layer_load, \
      'ValueError: Invalid layer_load mode requested'

prop = vulcan_gui.gui_options.property_values()
print(prop)